Bug 20653 - i810 Audio giving errors with 2.2.17-7.4 kernel
Summary: i810 Audio giving errors with 2.2.17-7.4 kernel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-10 18:31 UTC by Dan Taylor
Modified: 2007-04-18 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-29 17:53:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
corrupt messages (75.39 KB, text/plain)
2000-11-10 18:32 UTC, Dan Taylor
no flags Details

Description Dan Taylor 2000-11-10 18:31:58 UTC
2.2.17-7.4 kernel
Dell Optiplex GX110 w/ integrated i810 audio/video.
733Mhz Intel Celeron
256 Mb ram

Using the play or esdplay commands from console causes error warnings to 
standard out:

i810_audio: AC97 access failed.
i810_audio: AC97 access failed.
i810_audio: AC97 write access failed.
i810_audio: AC97 write access failed.

The messages continue until the sound finishes playing.  The sound plays 
correctly.  CD Audio works properly.  Quake3 causes system to hard lock.  
Causes corruption in /var/log/messages .

Comment 1 Dan Taylor 2000-11-10 18:32:54 UTC
Created attachment 5239 [details]
corrupt messages

Comment 2 Dan Taylor 2000-11-10 21:27:07 UTC
The errors are also happening on the Dell Precision Workstation 220 w/ 
integrated audio (i810).

Comment 3 Dan Taylor 2000-11-13 14:01:39 UTC
Of additional note, the system is not actually halting on the PWS220 when 
playing Q3A.  It just gets no audio.  So it would seem the Optiplex GX110 is a 
failure of the audio & the video, while on the 220, it is just an audio problem.

Comment 4 Dan Taylor 2000-11-29 17:47:30 UTC
i810 audio works properly now (most of it) on ws220, & optiplex gx110.  Quake3 
still exits with a sig 11, but no longer hard locks.  This was expected.  i810 
Video still has problems with X :1 as expected.

Comment 5 Dan Taylor 2000-11-29 17:53:28 UTC
note, this started working with 2.2.17-8


Note You need to log in before you can comment on or make changes to this bug.